[Bug]Install Barometer plugin give an error: Undefined property: stdClass::$require


#1

I install the Baromete plugin and got this error:

Notice: Undefined property: stdClass::$require in /path/to/piwik/plugins/CorePluginsAdmin/PluginInstaller.php on line 155

Backtrace -->

#0 Piwik\Error::errorHandler(…) called at [/path/to/piwik/plugins/CorePluginsAdmin/PluginInstaller.php:155]
#1 Piwik\Plugins\CorePluginsAdmin\PluginInstaller->makeSureThereAreNoMissingRequirements(…) called at [/path/to/piwik/plugins/CorePluginsAdmin/PluginInstaller.php:50]
#2 Piwik\Plugins\CorePluginsAdmin\PluginInstaller->installOrUpdatePluginFromMarketplace(…) called at [/path/to/piwik/plugins/CorePluginsAdmin/Controller.php:54]
#3 Piwik\Plugins\CorePluginsAdmin\Controller->createUpdateOrInstallView(…) called at [/path/to/piwik/plugins/CorePluginsAdmin/Controller.php:80]
#4 Piwik\Plugins\CorePluginsAdmin\Controller->installPlugin(…) called at [:]
#5 call_user_func_array(…) called at [/path/to/piwik/public_html/core/FrontController.php:117]
#6 Piwik\FrontController->dispatch(…) called at [/path/to/piwik/public_html/index.php:62]

The plugin is installed